/* =========== Modal Form =========== */
/* ---- FIELD MODAL FOR MADAL FORM ---- */
.modal {
    display: none;
    position: fixed;
    z-index: 1000;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.45);
    backdrop-filter: blur(3px);
    justify-content: center;
    align-items: center;
}

@keyframes fadeIn {
    from { opacity: 0; }
    to { opacity: 1; }
}

.modal.show {
    display: flex;
    animation: fadeIn 0.2s ease-in-out;
}

/* ---- MODAL CONTENT ---- */
.modal-content {
    background: white;
    padding: 35px 30px;
    border-radius: 16px;
    width: 100%;
    max-width: 420px;
    position: relative;
    animation: slideDown 0.25s ease;
}

@keyframes slideDown {
    from {
        transform: translateY(-20px);
        opacity: 0;
    }
    to {
        transform: translateY(0px);
        opacity: 1;
    }
}

/* ---- MODAL CROSS ---- */
.modal-close {
    position: absolute;
    top: 14px;
    right: 18px;
    font-size: 36px;
    cursor: pointer;
    color: #888;
    transition: 0.2s;
}
.modal-close:hover { color: #e84118; }

/* ---- TITLE MODAL ---- */
.modal-content h2 {
    text-align: center;
    margin-bottom: 25px;
}

#firstNameGroup, #lastNameGroup { display: none; }

/* ---- REMEMEBER ME ---- */
.checkbox-group { 
    display: flex;
    margin: 10px 0px; 
    align-items: center;
}
.checkbox-group input[type="checkbox"] { margin-right: 6px; }
.checkbox-group label {
    display: inline;
    font-size: 14px;
    color: #555;
}

/* ---- ENTER/REGISTER BUTTON ---- */
#authSubmit { width: 100%; }

/* ---- SWITCHING BUTTON TEXT ---- */
#switchAuthText {
    margin-top: 18px;
    text-align: center;
    font-size: 14px;
}
#switchAuth {
    color: #40739e;
    font-weight: 500;
    transition: 0.2s;
    cursor: pointer;
}
#switchAuth:hover { text-decoration: underline; }

/* ---- ERROR FIELD ---- */
#authError {
    color:red; 
    display:none;
    margin-top: 10px;
    font-size: 13px;
    text-align: center;
}